dbXML API

## com.dbxml.db.client.tools.command
Class CreateBase

    java.lang.Object
      com.dbxml.db.client.tools.command.CommandBase
          com.dbxml.db.client.tools.command.CreateBase

All Implemented Interfaces:
  Command

Direct Known Subclasses:
  CreateCollection, CreateExtension, CreateIndex, CreateTrigger

public abstract class CreateBase
extends CommandBase

CreateBase is a base class for several creation-related Commands.

Constructor Summary
`CreateBase()`

Method Summary
`void` `process()` process processes the Command.

Methods inherited from class com.dbxml.db.client.tools.command.CommandBase
`getCommandLine, setCommandLine`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CreateBase

    public CreateBase()

Method Detail

### process

    public final void process()
                       throws dbXMLException

  Description copied from interface: `Command`
  process processes the Command.

  Throws:
    `dbXMLException`

dbXML API

Copyright (c) 2004 The dbXML Group